• Русский
  • ClusterInterceptor [triggers.tekton.dev/v1alpha1]

    Description
    ClusterInterceptor describes a pluggable interceptor including configuration such as the fields it accepts and its deployment address. The type is based on the Validating/MutatingWebhookConfiguration types for configuring AdmissionWebhooks
    Type
    object
    Required
    spec

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ClusterInterceptorSpec describes the Spec for an ClusterInterceptor

    statusobject

    ClusterInterceptorStatus holds the status of the ClusterInterceptor

    .spec

    Description
    ClusterInterceptorSpec describes the Spec for an ClusterInterceptor
    Type
    object
    Required
    clientConfig
    PropertyTypeDescription
    clientConfigobject

    ClientConfig describes how a client can communicate with the Interceptor

    .spec.clientConfig

    Description
    ClientConfig describes how a client can communicate with the Interceptor
    Type
    object
    PropertyTypeDescription
    caBundlestring

    CaBundle is a PEM encoded CA bundle which will be used to validate the clusterinterceptor server certificate

    serviceobject

    Service is a reference to a Service object where the interceptor is running Mutually exclusive with URL

    urlstring

    URL is a fully formed URL pointing to the interceptor Mutually exclusive with Service

    .spec.clientConfig.service

    Description
    Service is a reference to a Service object where the interceptor is running Mutually exclusive with URL
    Type
    object
    Required
    namenamespace
    PropertyTypeDescription
    namestring

    Name is the name of the service

    namespacestring

    Namespace is the namespace of the service

    pathstring

    Path is an optional URL path

    portinteger

    Port is a valid port number

    .status

    Description
    ClusterInterceptorStatus holds the status of the ClusterInterceptor
    Type
    object
    PropertyTypeDescription
    addressobject

    Address is a single Addressable address. If Addresses is present, Address will be ignored by clients.

    addressesarray

    Addresses is a list of addresses for different protocols (HTTP and HTTPS) If Addresses is present, Address must be ignored by clients.

    annotationsobject

    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

    conditionsarray

    Conditions the latest available observations of a resource's current state.

    observedGenerationinteger

    ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

    .status.address

    Description
    Address is a single Addressable address. If Addresses is present, Address will be ignored by clients.
    Type
    object
    PropertyTypeDescription
    CACertsstring

    CACerts is the Certification Authority (CA) certificates in PEM format according to https://www.rfc-editor.org/rfc/rfc7468.

    audiencestring

    Audience is the OIDC audience for this address.

    namestring

    Name is the name of the address.

    urlstring

    .status.addresses

    Description
    Addresses is a list of addresses for different protocols (HTTP and HTTPS) If Addresses is present, Address must be ignored by clients.
    Type
    array

    .status.addresses[]

    Description
    Addressable provides a generic mechanism for a custom resource definition to indicate a destination for message delivery. Addressable is the schema for the destination information. This is typically stored in the object's `status`, as this information may be generated by the controller.
    Type
    object
    PropertyTypeDescription
    CACertsstring

    CACerts is the Certification Authority (CA) certificates in PEM format according to https://www.rfc-editor.org/rfc/rfc7468.

    audiencestring

    Audience is the OIDC audience for this address.

    namestring

    Name is the name of the address.

    urlstring

    .status.annotations

    Description
    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
    Type
    object

    .status.conditions

    Description
    Conditions the latest available observations of a resource's current state.
    Type
    array

    .status.conditions[]

    Description
    Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

    messagestring

    A human readable message indicating details about the transition.

    reasonstring

    The reason for the condition's last transition.

    severitystring

    Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition.

    API Endpoints

    The following API endpoints are available:

    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clusterinterceptors
      • DELETE: delete collection of ClusterInterceptor
      • GET: list objects of kind ClusterInterceptor
      • POST: create a new ClusterInterceptor
    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clusterinterceptors/{name}
      • DELETE: delete the specified ClusterInterceptor
      • GET: read the specified ClusterInterceptor
      • PATCH: partially update the specified ClusterInterceptor
      • PUT: replace the specified ClusterInterceptor
    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clusterinterceptors/{name}/status
      • GET: read status of the specified ClusterInterceptor
      • PATCH: partially update status of the specified ClusterInterceptor
      • PUT: replace status of the specified ClusterInterceptor

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clusterinterceptors

    HTTP method
    DELETE
    Description
    delete collection of ClusterInterceptor
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ClusterInterceptor
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptorList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ClusterInterceptor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterInterceptor schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptor schema
    201 - CreatedClusterInterceptor schema
    202 - AcceptedClusterInterceptor schema
    401 - UnauthorizedEmpty

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clusterinterceptors/{name}

    HTTP method
    DELETE
    Description
    delete the specified ClusterInterceptor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ClusterInterceptor
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptor schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ClusterInterceptor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptor schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ClusterInterceptor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterInterceptor schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptor schema
    201 - CreatedClusterInterceptor schema
    401 - UnauthorizedEmpty

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clusterinterceptors/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ClusterInterceptor
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptor schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ClusterInterceptor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptor schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ClusterInterceptor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterInterceptor schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterInterceptor schema
    201 - CreatedClusterInterceptor schema
    401 - UnauthorizedEmpty